## javax.persistence
Enum LockModeType

    java.lang.Object
      java.lang.Enum<LockModeType>
          javax.persistence.LockModeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LockModeType>

    public enum LockModeType

extends java.lang.Enum<LockModeType>

Enum Constant Summary
`NONE`
`OPTIMISTIC`
`OPTIMISTIC_FORCE_INCREMENT`
`PESSIMISTIC_FORCE_INCREMENT`
`PESSIMISTIC_READ`
`PESSIMISTIC_WRITE`
`READ`
`WRITE`

Method Summary
`static LockModeType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LockModeType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### READ

    public static final LockModeType READ

### WRITE

    public static final LockModeType WRITE

### OPTIMISTIC

    public static final LockModeType OPTIMISTIC

### OPTIMISTIC_FORCE_INCREMENT

    public static final LockModeType OPTIMISTIC_FORCE_INCREMENT

### PESSIMISTIC_READ

    public static final LockModeType PESSIMISTIC_READ

### PESSIMISTIC_WRITE

    public static final LockModeType PESSIMISTIC_WRITE

### PESSIMISTIC_FORCE_INCREMENT

    public static final LockModeType PESSIMISTIC_FORCE_INCREMENT

### NONE

    public static final LockModeType NONE

Method Detail

### values

    public static LockModeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LockModeType c : LockModeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LockModeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null